Subject: Re: [PATCH] net: phy: b53: switchdev driver for Broadcom BCM53xx switches

From: Andrew Lunn <[email-masked]>
Date: Thu, 26 Feb 2015 16:18:30 +0100

On Thu, Feb 26, 2015 at 03:58:40PM +0100, Rafa?? Mi??ecki wrote:
> On 25 February 2015 at 15:19, Andrew Lunn <[email-masked]> wrote:
> >> What do you mean by these recent patches? Has DSA recently received a
> >> support for bridging ports in the hardware? Like setting VLANs using
> >> some "bridge" comment (nl API) or something? Because I'm not aware of
> >> that.
> >
> > Yes. Scan over netdev list for the last week. e.g:
> >
> > http://comments.gmane.org/gmane.linux.network/350754
> 
> Hm, I can see it was actually merged to the net-next already:
> https://git.kernel.org/cgit/linux/kernel/git/davem/net-next.git/commit/?id=bb66be1c549a0760500cfad404b3d79a136d0e44
> 
> But this dsa implementation is still totally unclear to me. So I can
> see we now have
> 1) port_join_bridge
> 2) port_leave_bridge
> 
> How does it allow me to bridge few ports with specifying PVID /
> (UN)TAG for some of them?

How about going back to the beginning. Look at the Starfigher 2 DSA
driver. Do you have similar registers? Can you map the Starfigher code
onto the b53 registers? If so, just write a new driver following the
Starfigher as a reference.

     Andrew